Add a skill term to the project taxonomy
POST
/v1/projects/{projectId}/skillscurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/skills' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"code": "string",
"displayLabel": "string",
"labels": {}
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
请求头参数
- idempotency-keystring必填
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- codestring
- displayLabelstring
- labelsobject必填
响应
Success
- dataobject必填
- termIdentitystring必填
- codestring必填
- displayLabelstring必填
- labelsobject必填
- enabledone of必填
响应示例
{
"data": {
"termIdentity": "string",
"code": "string",
"displayLabel": "string",
"labels": {
"en": "string",
"zh": "string"
},
"enabled": false
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1